LinkedIn API Development Software License Agreement
=====================

This License Agreement ("**Agreement**") is a binding legal agreement between you (as an individual or entity, as applicable) and LinkedIn Corporation (“**LinkedIn**”). By downloading or using the LinkedIn API development software in this repository (“**Licensed Materials**”), you agree to be bound by the terms of this Agreement. If you do not agree to these terms, do not download or use the Licensed Materials. These Licensed Materials are being made available to you to facilitate your integration of the LinkedIn APIs into your applications, solely to enable the use cases permitted under your existing agreement with LinkedIn governing your use of the LinkedIn APIs (“**API Agreement**”).

**1. Scope of the License.**

* **a.** The Licensed Materials are licensed to you pursuant to the license you receive to the LinkedIn APIs (as specified in the API Agreement) and subject to the terms of this Agreement and the API Agreement. If, with respect to the Licensed Materials, there is a conflict between this Agreement and the API Agreement, this Agreement shall control.
* **b.** You may not fork or copy the Licensed Materials to a GitHub public repository (except to the extent you are granted any such right pursuant to the GitHub Terms of Service).

**2. Restrictions**

* **a.** You may not use, modify, copy, make derivative works of, publish, distribute, rent, lease, sell, sublicense, assign, make publicly available, or otherwise transfer the Licensed Materials, except as expressly set forth above in Section 1.
* **b.** You may not imply you own the Licensed Materials or that you have the authority to grant rights to the Licensed Materials to third parties.
* **c.** Linkedin (and its licensors) retains its intellectual property rights in the Licensed Materials. Except as expressly set forth in Section 1, LinkedIn grants no licenses.
* **d.** You will defend, hold harmless, and indemnify LinkedIn and its affiliates (and our and their respective employees, shareholders, and directors) from any claim or action brought by a third party, including all damages, liabilities, costs and expenses, including reasonable attorneys’ fees, to the extent resulting from, alleged to have resulted from, or in connection with: 1) your breach of your obligations herein; or 2) your use or distribution of any Licensed Materials, including any alleged infringement or misappropriation of any third party’s intellectual property rights based on modifications or derivative works you make to/from the Licensed Materials.

**3. Open source.** This code may include open source software, which may be subject to other license terms as provided in the files.

**4. Warranty Disclaimer.** LINKEDIN PROVIDES THE LICENSED MATERIALS ON AN “AS IS” AND “AS AVAILABLE” BASIS. LINKEDIN MAKES NO REPRESENTATION OR WARRANTY, WHETHER EXPRESS OR IMPLIED, ABOUT THE LICENSED MATERIALS, INCLUDING ANY REPRESENTATION THAT THE LICENSED MATERIALS WILL BE FREE OF ERRORS, BUGS OR INTERRUPTIONS, OR THAT THE LICENSED MATERIALS ARE ACCURATE, COMPLETE OR OTHERWISE VALID. TO THE FULLEST EXTENT PERMITTED BY LAW, LINKEDIN AND ITS AFFILIATES DISCLAIM ANY IMPLIED OR STATUTORY WARRANTY OR CONDITION, INCLUDING ANY IMPLIED WARRANTY OR CONDITION OF MERCHANTABILITY OR FITNESS FOR A PARTICULAR PURPOSE, AVAILABILITY, SECURITY, TITLE AND/OR NON-INFRINGEMENT. YOUR USE OF THE LICENSED MATERIALS IS AT YOUR OWN DISCRETION AND RISK, AND YOU WILL BE SOLELY RESPONSIBLE FOR ANY DAMAGE THAT RESULTS FROM USE OF THE LICENSED MATERIALS OR LOSS OF DATA.  NO ADVICE OR INFORMATION, WHETHER ORAL OR WRITTEN, OBTAINED BY YOU FROM US OR THROUGH OR FROM THE LICENSED MATERIALS WILL CREATE ANY WARRANTY OR CONDITION NOT EXPRESSLY STATED IN THIS AGREEMENT.

**5. Limitation of Liability.** LINKEDIN SHALL NOT BE LIABLE FOR ANY INDIRECT, INCIDENTAL, SPECIAL, PUNITIVE, CONSEQUENTIAL OR EXEMPLARY DAMAGES, INCLUDING BUT NOT LIMITED TO, DAMAGES FOR LOSS OF PROFITS, REVENUE, GOODWILL, USE, DATA OR OTHER INTANGIBLE LOSSES. IN NO EVENT WILL LINKEDIN'S AGGREGATE LIABILITY TO YOU EXCEED $100. THIS LIMITATION OF LIABILITY SHALL:

* **a.** APPLY REGARDLESS OF WHETHER (A) YOU BASE YOUR CLAIM ON CONTRACT, TORT, STATUTE, OR ANY OTHER LEGAL THEORY, (B) WE KNEW OR SHOULD HAVE KNOWN ABOUT THE POSSIBILITY OF SUCH DAMAGES, OR (C) THE LIMITED REMEDIES PROVIDED IN THIS SECTION FAIL OF THEIR ESSENTIAL PURPOSE; AND
* **b.** NOT APPLY TO ANY DAMAGE THAT IS  OTHERWISE MANDATED BY APPLICABLE LAW AND THAT CANNOT BE DISCLAIMED IN THIS AGREEMENT.

**6. Termination.** This Agreement automatically terminates upon your breach of this Agreement or termination of the API Agreement. On termination, all licenses granted under this Agreement will terminate immediately and you will delete the Licensed Materials. Sections 2-7 of this Agreement survive any termination of this Agreement. LinkedIn may discontinue the availability of some or all of the Licensed Materials at any time for any reason.

**7. Miscellaneous.** This Agreement will be governed by and construed in accordance with the laws of the State of California without regard to conflict of laws principles. The exclusive forum for any disputes arising out of or relating to this Agreement shall be an appropriate federal or state court sitting in the County of Santa Clara, State of California. If LinkedIn does not act to enforce a breach of this Agreement, that does not mean that LinkedIn has waived its right to enforce this Agreement. This Agreement does not create a partnership, agency relationship, or joint venture between the parties.  Neither party has the power or authority to bind the other or to create any obligation or responsibility on behalf of the other. This Agreement shall bind and inure to the benefit of the parties, and any permitted successors and assigns under the API Agreement. If any provision of this Agreement is unenforceable, that provision will be modified to render it enforceable to the extent possible to give effect to the parties’ intentions and the remaining provisions will not be affected. This Agreement, together with the API Agreement, are the only agreements between you and LinkedIn regarding the Licensed Materials, and supersedes all prior agreements relating to the Licensed Materials.  The API Agreement will continue to govern your use of the LinkedIn APIs, SDKs, and other technology.